<?xml version='1.0' encoding='UTF-8' ?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../templates/general.xhtml">

    <ui:define name="head">


        <!-- CASO DE USO CU-NP-CO-003 -->

    </ui:define>
    <ui:define name="content">
        <h:panelGrid columns="1" width="100%">
            <h:form>
                <p:panel
                    header="Enviar Radicaciones de Tramites al Jefe de Conservacion">
                    <p:panel header="Datos de Búsqueda" toggleable="true">
                        <h:panelGrid columns="3" width="100%">
                            <h:panelGrid columns="2">
                                <h:outputLabel for="departamento" value="Departamento" />
                                <h:selectOneMenu id="departamento"
                                                 value="#{consultaPredio.datosConsultaPredio.departamentoId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{consultaPredio.departamentosItemList}" />
                                    <p:ajax update="municipio" immediate="true" />
                                </h:selectOneMenu>
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:outputLabel for="municipio" value="Municipio" />
                                <h:selectOneMenu id="municipio"
                                                 value="#{consultaPredio.datosConsultaPredio.municipioId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{consultaPredio.municipiosItemList}" />
                                </h:selectOneMenu>
                            </h:panelGrid>
                            <p:panel header="Numero Predial">
                                <h:panelGrid columns="18">
                                    <h:inputText id="TA" value="" size="2" maxlength="2" />
                                    <p:watermark for="TA" value="TA" />
                                    <h:inputText id="SE" value="" size="2" maxlength="2" />
                                    <p:watermark for="SE" value="SE" />
                                    <h:inputText id="BA" value="" size="4" maxlength="4" />
                                    <p:watermark for="BA" value="BA" />
                                    <h:inputText id="MZ-V" value="" size="4" maxlength="4" />
                                    <p:watermark for="MZ-V" value="MZ-V" />
                                    <h:inputText id="PR" value="" size="4" maxlength="4" />
                                    <p:watermark for="PR" value="PR" />
                                    <h:inputText id="CP" value="" size="1" maxlength="1" />
                                    <p:watermark for="CP" value="CP" />
                                    <h:inputText id="ED" value="" size="2" maxlength="2" />
                                    <p:watermark for="ED" value="ED" />
                                    <h:inputText id="PI" value="" size="2" maxlength="2" />
                                    <p:watermark for="PI" value="PI" />
                                    <h:inputText id="UN" value="" size="4" maxlength="4" />
                                    <p:watermark for="UN" value="UN" />
                                </h:panelGrid>
                            </p:panel>
                        </h:panelGrid>



                        <h:panelGrid columns="4">
                            <h:panelGrid columns="2">
                                <h:outputLabel for="consecutivoCatastral"
                                               value="Consecutivo Catastral: " />
                                <h:inputText id="consecutivoCatastral" value="" size="50" />
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:outputLabel for="NIP" value="NIP: " />
                                <h:inputText id="NIP" value="" />
                            </h:panelGrid>

                            <h:panelGrid columns="2">
                                <h:outputLabel for="tipoTramite" value="Tipo Tramite: " />
                                <h:selectOneMenu id="tipoTramite"
                                                 value="#{consultaPredio.datosConsultaPredio.departamentoId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{consultaPredio.departamentosItemList}" />
                                </h:selectOneMenu>
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <h:outputLabel for="clasificacion" value="Clasificacion" />
                                <h:selectOneMenu id="clasificacion"
                                                 value="#{consultaPredio.datosConsultaPredio.departamentoId}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems value="#{consultaPredio.departamentosItemList}" />
                                </h:selectOneMenu>
                            </h:panelGrid>

                        </h:panelGrid>

                        <h:panelGrid columns="2">

                            <h:panelGrid columns="2">
                                <h:outputLabel for="noRadicacion" value="No. Radicacion: " />
                                <h:inputText id="noRadicacion" value="" />
                            </h:panelGrid>

                            <p:calendar id="calendario" effect="explode" title="#{general.formatoFechaUsuario}"
                                        value="#{enviarRadicacionesDeTramtieAlJefeDeConservacion.fechaRadicacion}"
                                        showOn="button" />
                            <p:watermark for="calendario" value="Fecha Radicacion" />
                        </h:panelGrid>

                        <h:panelGrid>
                            <p:button
                                outcome="enviarRadicacionesDeTramitesAlJefeDeConservacion"
                                value="Buscar">
                                <f:param name="productId" value="10" />
                            </p:button>
                            <p:commandButton value="Submit" update="display" />

                            <p:ajaxStatus style="width:16px;height:16px;">
                                <f:facet name="start">
                                    <h:graphicImage value="../design/ajaxloading.gif" />
                                </f:facet>

                                <f:facet name="complete">
                                    <h:outputText value="" />
                                </f:facet>
                            </p:ajaxStatus>
                        </h:panelGrid>
                    </p:panel>

                    <p:panel header="Resultados de Búsqueda">
                        <p:dataTable var="tramite"
                                     value="#{enviarRadicacionesDeTramtieAlJefeDeConservacion.tramites}">
                            <p:column>
                                <f:facet name="header">Sel</f:facet>
                                <h:outputLabel value="Seleccionar" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">No. Radicacion</f:facet>
                                <h:outputLabel value="#{tramite.numeroRadicacion}" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Fecha Radicacion</f:facet>
                                <h:outputLabel value="#{tramite.fechaRadicacion}" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Numero Predial</f:facet>
                                <h:outputLabel value="NUMERO PREDIAL" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Tipo Tramite</f:facet>
                                <h:outputLabel value="#{tramite.tipoTramite}" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Funcionario Radicador</f:facet>
                                <h:outputLabel value="#{tramite.funcionarioRadicador}" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Clasificacion</f:facet>
                                <h:outputLabel value="#{tramite.clasificacion}" />
                            </p:column>
                        </p:dataTable>
                    </p:panel>

                    <p:panel header="Documentos de los Tramites">
                        <p:dataTable var="documento"
                                     value="#{enviarRadicacionesDeTramtieAlJefeDeConservacion.documentosTramite}">
                            <p:column>
                                <f:facet name="header">Sel</f:facet>
                                <h:outputLabel value="Seleccionar" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Municipio</f:facet>
                                <h:outputLabel value="Municipio" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">No. Radicacion</f:facet>
                                <h:outputLabel value="radicacion" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Tipo Documento</f:facet>
                                <h:outputLabel value="Tipo Documento" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Fecha Aporte</f:facet>
                                <h:outputLabel value="#{documento.fecha}" />
                            </p:column>
                            <p:column>
                                <f:facet name="header">Numero Predial</f:facet>
                                <h:outputLabel value="N predial" />
                            </p:column>
                        </p:dataTable>
                    </p:panel>

                </p:panel>
            </h:form>
        </h:panelGrid>



    </ui:define>

    <f:metadata>
        <f:viewParam name="productId"
                     value="#{enviarRadicacionesDeTramtieAlJefeDeConservacion.productId}" />
    </f:metadata>

</ui:composition>


